Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Interface InterceptorType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  InterceptorTypeImpl

    public interface InterceptorType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `interceptorType` xsd type

Original Documentation:

The interceptorType element declares information about a single
interceptor class. It consists of :
- An optional description.
- The fully-qualified name of the interceptor class.
- An optional list of around invoke methods declared on the
interceptor class and/or its super-classes.
- An optional list environment dependencies for the interceptor
class and/or its super-classes.
- An optional list of post-activate methods declared on the
interceptor class and/or its super-classes.
- An optional list of pre-passivate methods declared on the
interceptor class and/or its super-classes.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`AroundInvokeType<InterceptorType<T>>` | `aroundInvoke()` Returns the `around-invoke` element
`EjbLocalRefType<InterceptorType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<InterceptorType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<InterceptorType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AroundInvokeType<InterceptorType<T>>>` | `getAroundInvokeList()` Returns all `around-invoke` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<EjbLocalRefType<InterceptorType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<InterceptorType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<InterceptorType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getInterceptorClass()` Returns the `interceptor-class` element
`java.util.List<MessageDestinationRefType<InterceptorType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<PersistenceContextRefType<InterceptorType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<InterceptorType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPostActivateList()` Returns all `post-activate` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPrePassivateList()` Returns all `pre-passivate` elements
`java.util.List<ResourceEnvRefType<InterceptorType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<InterceptorType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<ServiceRefType<InterceptorType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`MessageDestinationRefType<InterceptorType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`PersistenceContextRefType<InterceptorType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<InterceptorType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<InterceptorType<T>>` | `postActivate()` Returns the `post-activate` element
`LifecycleCallbackType<InterceptorType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<InterceptorType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`LifecycleCallbackType<InterceptorType<T>>` | `prePassivate()` Returns the `pre-passivate` element
`InterceptorType<T>` | `removeAllAroundInvoke()` Removes all `around-invoke` elements
`InterceptorType<T>` | `removeAllDescription()` Removes the `description` element
`InterceptorType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`InterceptorType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`InterceptorType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`InterceptorType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`InterceptorType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`InterceptorType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`InterceptorType<T>` | `removeAllPostActivate()` Removes all `post-activate` elements
`InterceptorType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`InterceptorType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`InterceptorType<T>` | `removeAllPrePassivate()` Removes all `pre-passivate` elements
`InterceptorType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`InterceptorType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`InterceptorType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`InterceptorType<T>` | `removeInterceptorClass()` Removes the `interceptor-class` element
`ResourceEnvRefType<InterceptorType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<InterceptorType<T>>` | `resourceRef()` Returns the `resource-ref` element
`ServiceRefType<InterceptorType<T>>` | `serviceRef()` Returns the `service-ref` element
`InterceptorType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`InterceptorType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`InterceptorType<T>` | `setInterceptorClass(java.lang.String interceptorClass)` If not already created, a new `interceptor-class` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllEnvEntry

    InterceptorType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `InterceptorType`

### envEntry

    EnvEntryType<InterceptorType<T>> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<InterceptorType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    InterceptorType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `InterceptorType`

### ejbRef

    EjbRefType<InterceptorType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<InterceptorType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    InterceptorType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `InterceptorType`

### ejbLocalRef

    EjbLocalRefType<InterceptorType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<InterceptorType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    InterceptorType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `InterceptorType`

### resourceRef

    ResourceRefType<InterceptorType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<InterceptorType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    InterceptorType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `InterceptorType`

### resourceEnvRef

    ResourceEnvRefType<InterceptorType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<InterceptorType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    InterceptorType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `InterceptorType`

### messageDestinationRef

    MessageDestinationRefType<InterceptorType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<InterceptorType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    InterceptorType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `InterceptorType`

### persistenceContextRef

    PersistenceContextRefType<InterceptorType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<InterceptorType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    InterceptorType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `InterceptorType`

### persistenceUnitRef

    PersistenceUnitRefType<InterceptorType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<InterceptorType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    InterceptorType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Returns:
    the current instance of `InterceptorType`

### postConstruct

    LifecycleCallbackType<InterceptorType<T>> postConstruct()

  Returns the `post-construct` element

  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Returns:
    list of `post-construct`

### removeAllPreDestroy

    InterceptorType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Returns:
    the current instance of `InterceptorType`

### preDestroy

    LifecycleCallbackType<InterceptorType<T>> preDestroy()

  Returns the `pre-destroy` element

  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Returns:
    list of `pre-destroy`

### removeAllServiceRef

    InterceptorType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Returns:
    the current instance of `InterceptorType`

### serviceRef

    ServiceRefType<InterceptorType<T>> serviceRef()

  Returns the `service-ref` element

  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    java.util.List<ServiceRefType<InterceptorType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Returns:
    list of `service-ref`

### setDescription

    InterceptorType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `InterceptorType`

### setDescriptionList

    InterceptorType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `InterceptorType`

### removeAllDescription

    InterceptorType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `InterceptorType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setInterceptorClass

    InterceptorType<T> setInterceptorClass(java.lang.String interceptorClass)

  If not already created, a new `interceptor-class` element with the given value will be created. Otherwise, the existing `interceptor-class` element will be updated with the given value.

  Returns:
    the current instance of `InterceptorType`

### removeInterceptorClass

    InterceptorType<T> removeInterceptorClass()

  Removes the `interceptor-class` element

  Returns:
    the current instance of `InterceptorType`

### getInterceptorClass

    java.lang.String getInterceptorClass()

  Returns the `interceptor-class` element

  Returns:
    the node defined for the element `interceptor-class`

### removeAllAroundInvoke

    InterceptorType<T> removeAllAroundInvoke()

  Removes all `around-invoke` elements

  Returns:
    the current instance of `InterceptorType`

### aroundInvoke

    AroundInvokeType<InterceptorType<T>> aroundInvoke()

  Returns the `around-invoke` element

  Returns:
    the node defined for the element `around-invoke`

### getAroundInvokeList

    java.util.List<AroundInvokeType<InterceptorType<T>>> getAroundInvokeList()

  Returns all `around-invoke` elements

  Returns:
    list of `around-invoke`

### removeAllPostActivate

    InterceptorType<T> removeAllPostActivate()

  Removes all `post-activate` elements

  Returns:
    the current instance of `InterceptorType`

### postActivate

    LifecycleCallbackType<InterceptorType<T>> postActivate()

  Returns the `post-activate` element

  Returns:
    the node defined for the element `post-activate`

### getPostActivateList

    java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPostActivateList()

  Returns all `post-activate` elements

  Returns:
    list of `post-activate`

### removeAllPrePassivate

    InterceptorType<T> removeAllPrePassivate()

  Removes all `pre-passivate` elements

  Returns:
    the current instance of `InterceptorType`

### prePassivate

    LifecycleCallbackType<InterceptorType<T>> prePassivate()

  Returns the `pre-passivate` element

  Returns:
    the node defined for the element `pre-passivate`

### getPrePassivateList

    java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPrePassivateList()

  Returns all `pre-passivate` elements

  Returns:
    list of `pre-passivate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD